<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <h:head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="../../carpetagacss/estilos.css"></link>
        <link rel="icon" href="../../imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>

        <header>
            <ui:include src="../menu/CabeceraMenu.xhtml" />
        </header>

        <center>
            <table>
                <tr>
                    <td colspan="4">
                        <div class="advertencia">
                            <h:form id="serviciosForm">
                                <p:growl id="messages" showDetail="true" />
                                <p:panelGrid id="panelVehiculos" columns="6">
                                <f:facet name="header">GENERAR NUEVA SOLICITUD</f:facet>
                                    <h:outputText value="FECHA DE SOLICITUD:" style="width: 150px"/>
                                    <h:outputText value="#{solicitudesBean.fechaActualSistema}" style="width: 150px">
                                        <f:convertDateTime pattern="dd MMMM yyyy"/>
                                    </h:outputText>
                                    <h:outputText value="FECHA DEL CARGUE" style="width: 150px"/>
                                    <p:calendar value="#{solicitudesBean.nuevaSolicitud.fechacargue}" style="width: 150px" 
                                                            navigator="true" locale="es"/>
                                    <h:outputText value="NOMBRE EMPRESA" style="width: 150px"/>
                                    <p:selectOneMenu value="#{solicitudesBean.clienteSeleccionado}" style="width: 150px">
                                        <p:ajax listener="#{solicitudesBean.buscarIdEmpresa()}" 
                                                update="idComboSolicitante, idComboOrigen, idComboDestino, idComboContacto" />
                                        <f:selectItem itemLabel="Seleccione Empresa"/>
                                        <f:selectItems value="#{solicitudesBean.listadoClientes}"/>
                                    </p:selectOneMenu>
                                    
                                    <h:outputText value="NOMBRE SOLICITANTES" style="width: 150px"/>
                                    <p:selectOneMenu id="idComboSolicitante" value="#{solicitudesBean.empleadoSeleccionado}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Empleado"/>
                                        <f:selectItems value="#{solicitudesBean.listadoEmpleadosCliente}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="CONTACTO EN ORIGEN" style="width: 150px"/>
                                    <p:selectOneMenu id="idComboContacto" value="#{solicitudesBean.contactoOrigenSeleccionado}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Empleado"/>
                                        <f:selectItems value="#{solicitudesBean.listadoEmpleadosCliente}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="CONTACTO EN DESTINO" style="width: 150px"/>
                                    <p:selectOneMenu id="idComboContacto" value="#{solicitudesBean.contactoDestinoSeleccionado}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Empleado"/>
                                        <f:selectItems value="#{solicitudesBean.listadoEmpleadosCliente}"/>
                                    </p:selectOneMenu>
                                    
                                    <h:outputText value="TIPO CARGA" style="width: 150px"/>
                                    <p:selectOneMenu value="#{solicitudesBean.tipoCargaSeleccionada}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Tipo Carga"/>
                                        <f:selectItems value="#{solicitudesBean.listadoTipoCarga}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="ORIGEN CARGA:" style="width: 150px"/>
                                    <p:selectOneMenu id="idComboOrigen" value="#{solicitudesBean.origenSeleccionado}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Origen"/>
                                        <f:selectItems value="#{solicitudesBean.listadoDirecciones}"/>
                                    </p:selectOneMenu>
                                    <h:outputText value="DESTINO CARGA:" style="width: 150px"/>
                                    <p:selectOneMenu id="idComboDestino" value="#{solicitudesBean.destinoSeleccionado}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Destino"/>
                                        <f:selectItems value="#{solicitudesBean.listadoDirecciones}"/>
                                    </p:selectOneMenu>
                                    
                                    
                                    <p:commandButton id="botonGuardar" value="Guardar" class="botonbuscador" 
                                                     action="#{solicitudesBean.generarNuevaSolicitud()}" update="messages"/>
                                    <p:commandButton type="reset" value="Borrar" class="botonbuscador" style="width: 150px"/>
                                </p:panelGrid>
                                <br></br>
                                <p:panelGrid id="panelCarga" columns="6">
                                    <f:facet name="header">REGISTRAR CARGA</f:facet>
                                    <p:commandButton id="botonCarga" oncomplete="PF('generarCargaDialog').show()"
                                                     value="Generar Carga" class="botonbuscador" 
                                                     title="Generar Carga" update="messages"/>
                                    <p:scrollPanel style="width:1000px;height:200px">
                                        <p:dataTable id="tablaCarga" var="carga" value="#{solicitudesBean.listadoCargas}"
                                                     emptyMessage="Sin Registros">
                                            <p:column headerText="Altura (cm)">
                                                <h:outputText value="#{carga.altura}"/>
                                            </p:column>     
                                            <p:column headerText="Ancho (cm)">
                                                <h:outputText value="#{carga.ancho}"/>
                                            </p:column>    
                                            <p:column headerText="Largo (cm)">
                                                <h:outputText value="#{carga.largo}"/>
                                            </p:column>    
                                            <p:column headerText="Peso">
                                                <h:outputText value="#{carga.peso}"/>
                                            </p:column>    
                                            <p:column headerText="Valor Carga">
                                                <h:outputText value="#{carga.valorcarga}"/>
                                            </p:column>
                                        </p:dataTable>
                                    </p:scrollPanel>
                                </p:panelGrid>
                                <br/>
                                <p:panelGrid id="panelServiciosAdicionales" columns="6">
                                    <f:facet name="header">REGISTRAR SERVICIOS ADICIONALES</f:facet>
                                    <p:commandButton id="botonServicios" oncomplete="PF('serviciosAdicionalesDialog').show()"
                                                     value="Generar Servicios Adicionales" class="botonbuscador" 
                                                     title="Generar Servicios Adicionales" update="messages"/>
                                    <p:scrollPanel style="width:1000px;height:200px">
                                        <p:dataTable id="tablaServicios" var="servicios" 
                                                     value="#{solicitudesBean.listadoServiciosAdicionales}"
                                                     emptyMessage="Sin Registros">
                                            <p:column headerText="Campos 1">
                                                <h:outputText value="#{servicios.auxiliar}"/>
                                            </p:column>     
                                            <p:column headerText="Campos 2">
                                                <h:outputText value="#{servicios.descripcionservicio}"/>
                                            </p:column>    
                                            <p:column headerText="Campos 3">
                                                <h:outputText value="#{servicios.cantidadauxiliares}"/>
                                            </p:column>    
                                            <p:column headerText="Campos 4">
                                                <h:outputText value="#{servicios.montacarga}"/>
                                            </p:column>    
                                            <p:column headerText="Campos 5">
                                                <h:outputText value="#{servicios.nombreservicio}"/>
                                            </p:column>
                                        </p:dataTable>
                                    </p:scrollPanel>
                                </p:panelGrid>
                                <br/>
                                <p:panelGrid id="panelEsquemaSeguridad" columns="6">
                                    <f:facet name="header">REGISTRAR ESQUEMA SEGURIDAD</f:facet>
                                    <p:commandButton id="botonEsquemaSeguridad" oncomplete="PF('esquemaSeguridadDialog').show()"
                                                     value="Generar Esquema Seguridad" class="botonbuscador" 
                                                     title="Generar Esquema Seguridad" update="messages"/>
                                    <p:scrollPanel style="width:1000px;height:200px">
                                        <p:dataTable id="tablaEsquemaSeguridad" var="esquema" value="#{solicitudesBean.listadoEsquemaSeguridad}"
                                                     emptyMessage="Sin Registros">
                                            <p:column headerText="Cantidad de Escoltas">
                                                <h:outputText value="#{esquema.cantidadescoltas}"/>
                                            </p:column>     
                                            <p:column headerText="Nivel de Criticidad">
                                                <h:outputText value="#{esquema.nivelcriticidad}"/>
                                            </p:column>    
                                            <p:column headerText="Tipo Perimetro">
                                                <h:outputText value="#{esquema.tipoperimetro}"/>
                                            </p:column>    
                                            <p:column headerText="Tipo Seguridad">
                                                <h:outputText value="#{esquema.tiposeguridad}"/>
                                            </p:column>    
                                        </p:dataTable>
                                    </p:scrollPanel>
                                </p:panelGrid>
                            </h:form>
                        </div>
                    </td>
                </tr>
            </table>
        </center>           
        <footer>
            <a target="_blank" href="http://www.facebook.com"><img src="../../imagenes/Facebook.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.instagram.com"><img src="../../imagenes/Instagram.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.twitter.com"><img src="../../imagenes/Twitter.png" class="redsocial"></img></a>
            | Copyright 2014-2019 Tráfico Libre - <a href="#" class="privacidad">Privacidad-condiciones</a>
        </footer> 
        <ui:include src="./modales/generarServiciosAdicionalesModal.xhtml"/>
        <ui:include src="./modales/generarCargaModal.xhtml"/>
        <ui:include src="./modales/generarEsquemaSeguridadModal.xhtml"/>
    </h:body>
</html>

